function makeHomePage(domain) {
    var obj = document.getElementById("hplink");

    if (!domain)
    	domain = "http://www.howstuffworks.com";

    if(navigator.appName == "Microsoft Internet Explorer" && (parseInt(navigator.appVersion) >= 4)) { // IE 4+
        obj.style.behavior="url(#default#homepage)";
        obj.setHomePage(domain);
    }
    else {
    	// anything else
        sethp = window.open("/sethomepage.php", "sethp", "toolbar=0,location=0,status=0,menubar=0,scrollbars=0,resizable=0,width=500,height=300,alwaysRaised=yes,screenX=250,screenY=250,top=250,left=250,alwaysRaised=yes");
    }
}
